/* $Id: pflow.h,v 1.4 2002/07/24 10:10:20 aa5779 Exp $ */
/*
 	Copyright (C) 2001, 2002 Artem V. Andreev (artem@AA5779.spb.edu)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PFLOW_H
#define PFLOW_H

#include "flow.h"

#ifndef PFLOW_IMP
extern flow_class pipe_flow_class;
#endif

flow_handle_t pf_open(char *name, char *opts, int writeable);
void pf_close(flow_handle_t fh);
int pf_getc(flow_handle_t fh);
int pf_ungetc(flow_handle_t fh, int ch);
int pf_putc(flow_handle_t fh, int ch);
int pf_puts(flow_handle_t fh, char *str);
flow_pos_t pf_getpos(flow_handle_t fh);
int pf_setpos(flow_handle_t fh, flow_pos_t fp);
int pf_rewind(flow_handle_t fh);
char *pf_flowctl(flow_handle_t fh, char *ctl);

#endif
